| Flutter iOS Embedder |

Public Member Functions | Public Attributes | List of all members
flutter::testing::MockAccessibilityBridgeNoWindow Class Reference

`#include <SemanticsObjectTestMocks.h>`

Inheritance diagram for flutter::testing::MockAccessibilityBridgeNoWindow:

## Public Member Functions
| MockAccessibilityBridgeNoWindow ()
bool | isVoiceOverRunning () const override
UIView * | view () const override
UIView< UITextInput > * | textInputView () override
void | DispatchSemanticsAction (int32_t id, SemanticsAction action) override
void | DispatchSemanticsAction (int32_t id, SemanticsAction action, fml::MallocMapping args) override
void | AccessibilityObjectDidBecomeFocused (int32_t id) override
void | AccessibilityObjectDidLoseFocus (int32_t id) override
std::shared_ptr< FlutterPlatformViewsController > | GetPlatformViewsController () const override
Public Member Functions inherited from flutter::AccessibilityBridgeIos
virtual | ~AccessibilityBridgeIos ()=default
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action)=0
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action, fml::MallocMapping args)=0

## Public Attributes
std::vector< SemanticsActionObservation > | observations
bool | isVoiceOverRunningValue

## Detailed Description

Definition at line 57 of file SemanticsObjectTestMocks.h.

## Constructor & Destructor Documentation

## ◆ MockAccessibilityBridgeNoWindow()

flutter::testing::MockAccessibilityBridgeNoWindow::MockAccessibilityBridgeNoWindow | ( |  | ) |
| inline

Definition at line 59 of file SemanticsObjectTestMocks.h.

59 : observations({}) {
60 view_ = [[UIView alloc] initWithFrame:kScreenSize];
61 }

## Member Function Documentation

## ◆ AccessibilityObjectDidBecomeFocused()

void flutter::testing::MockAccessibilityBridgeNoWindow::AccessibilityObjectDidBecomeFocused | ( | int32_t | id | ) |
| inline override virtual

A callback that is called when a SemanticObject receives focus.

The input id is the uid of the newly focused SemanticObject.

Implements flutter::AccessibilityBridgeIos.

Definition at line 75 of file SemanticsObjectTestMocks.h.

75 {}

## ◆ AccessibilityObjectDidLoseFocus()

void flutter::testing::MockAccessibilityBridgeNoWindow::AccessibilityObjectDidLoseFocus | ( | int32_t | id | ) |
| inline override virtual

A callback that is called when a SemanticObject loses focus

The input id is the uid of the newly focused SemanticObject.

Implements flutter::AccessibilityBridgeIos.

Definition at line 76 of file SemanticsObjectTestMocks.h.

76 {}

## ◆ DispatchSemanticsAction() [1/2]

void flutter::testing::MockAccessibilityBridgeNoWindow::DispatchSemanticsAction | ( | int32_t | id,
|  | SemanticsAction | action
| ) |  |
| inline override

Definition at line 65 of file SemanticsObjectTestMocks.h.

65 {
66 SemanticsActionObservation observation(id, action);
67 observations.push_back(observation);
68 }

References observations.

## ◆ DispatchSemanticsAction() [2/2]

void flutter::testing::MockAccessibilityBridgeNoWindow::DispatchSemanticsAction | ( | int32_t | id,
|  | SemanticsAction | action,
|  | fml::MallocMapping | args
| ) |  |
| inline override

Definition at line 69 of file SemanticsObjectTestMocks.h.

71 {
72 SemanticsActionObservation observation(id, action);
73 observations.push_back(observation);
74 }

References observations.

## ◆ GetPlatformViewsController()

std::shared_ptr<FlutterPlatformViewsController> flutter::testing::MockAccessibilityBridgeNoWindow::GetPlatformViewsController | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 77 of file SemanticsObjectTestMocks.h.

77 {
78 return nil;
79 }

## ◆ isVoiceOverRunning()

bool flutter::testing::MockAccessibilityBridgeNoWindow::isVoiceOverRunning | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 62 of file SemanticsObjectTestMocks.h.

62 { return isVoiceOverRunningValue; }

References isVoiceOverRunningValue.

## ◆ textInputView()

UIView<UITextInput>* flutter::testing::MockAccessibilityBridgeNoWindow::textInputView | ( |  | ) |
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 64 of file SemanticsObjectTestMocks.h.

64 { return nil; }

## ◆ view()

UIView* flutter::testing::MockAccessibilityBridgeNoWindow::view | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 63 of file SemanticsObjectTestMocks.h.

63 { return view_; }

## Member Data Documentation

## ◆ isVoiceOverRunningValue

bool flutter::testing::MockAccessibilityBridgeNoWindow::isVoiceOverRunningValue

Definition at line 81 of file SemanticsObjectTestMocks.h.

Referenced by isVoiceOverRunning().

## ◆ observations

std::vector<SemanticsActionObservation> flutter::testing::MockAccessibilityBridgeNoWindow::observations

Definition at line 80 of file SemanticsObjectTestMocks.h.

Referenced by DispatchSemanticsAction().

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/SemanticsObjectTestMocks.h

flutter::testing::MockAccessibilityBridgeNoWindow::observations
std::vector< SemanticsActionObservation > observations
Definition: SemanticsObjectTestMocks.h:80
initWithFrame
instancetype initWithFrame
Definition: FlutterTextInputPlugin.h:172
flutter::testing::MockAccessibilityBridgeNoWindow::isVoiceOverRunningValue
bool isVoiceOverRunningValue
Definition: SemanticsObjectTestMocks.h:81
kScreenSize
const CGRect kScreenSize
Definition: SemanticsObjectTestMocks.h:10